Subject: bug#78474: 31.0.50; Wrong char insertion in rxvt

From: Samuel Thibault <[email-masked]>
Date: Tue, 22 Jul 2025 20:04:06 +0200

Eli Zaretskii, le mar. 22 juil. 2025 16:18:48 +0300, a ecrit:
> > Eli Zaretskii, le mar. 22 juil. 2025 14:28:19 +0300, a ecrit:
> > > > I have tried the attached test which reproduces both ways and reports
> > > > the time to achieve one million iteration, on my system:
> > > > 
> > > > - with rxvt: non-optimized way takes ~1.9s, optimized way takes ~2.1s.
> > > > - with mate-terminal: non-optimized way takes ~1.8s, optimized way takes
> > > >   ~2.0s.
> > > > 
> > > > So on my system at least the "optimized" way is actually slower.
> > > 
> > > For that particular single case.
> > 
> > Which is exactly the case that we are reporting about.
> 
> No, it isn't.  Not even if only \t\b should be disabled.

? I don't understand.

\t\b really is the only issue that we are having.

And the benchmark above, which you can try on various terminals, does
show that \t\b happens to be less efficient than \e[C. So it would
actually benefit everybody to just use \e[C by default instead of \t\b.

Samuel